package com.mvc.entity;

import java.util.Date;

public class TIdentEnquiries {
    private Integer id;

    private String deviceSn;

    private String stationCode;

    private String stationName;

    private String unitCode;

    private String deviceType;

    private String aiVersion;

    private Integer aicbqCfgId;

    private String enableNoconfigManualConfig;

    private Integer identFlag;

    private Date createTime;

    private Double accuracyRate;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn == null ? null : deviceSn.trim();
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode == null ? null : stationCode.trim();
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName == null ? null : stationName.trim();
    }

    public String getUnitCode() {
        return unitCode;
    }

    public void setUnitCode(String unitCode) {
        this.unitCode = unitCode == null ? null : unitCode.trim();
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType == null ? null : deviceType.trim();
    }

    public String getAiVersion() {
        return aiVersion;
    }

    public void setAiVersion(String aiVersion) {
        this.aiVersion = aiVersion == null ? null : aiVersion.trim();
    }

    public Integer getAicbqCfgId() {
        return aicbqCfgId;
    }

    public void setAicbqCfgId(Integer aicbqCfgId) {
        this.aicbqCfgId = aicbqCfgId;
    }

    public String getEnableNoconfigManualConfig() {
        return enableNoconfigManualConfig;
    }

    public void setEnableNoconfigManualConfig(String enableNoconfigManualConfig) {
        this.enableNoconfigManualConfig = enableNoconfigManualConfig == null ? null : enableNoconfigManualConfig.trim();
    }

    public Integer getIdentFlag() {
        return identFlag;
    }

    public void setIdentFlag(Integer identFlag) {
        this.identFlag = identFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Double getAccuracyRate() {
        return accuracyRate;
    }

    public void setAccuracyRate(Double accuracyRate) {
        this.accuracyRate = accuracyRate;
    }
}